/*
 * StatLine.h
 *
 *  Created on: Nov 13, 2016
 *      Author: dick
 */

#ifndef _BERZERK_STATLINE_H_
#define _BERZERK_STATLINE_H_

#include <string>

using namespace std;
namespace berzerk {
class StatLine {
  public:
	StatLine();
	StatLine(const string& ip, const string& rule, const string& deathLine);
	string	toXML();
	string	getTime();

	string	ip;
	string	rule;
	string	deathLine;
	time_t	sldate;

};

inline StatLine::StatLine() { sldate = time(NULL); }
inline StatLine::StatLine(const string& _ip, const string& _rule, const string& _deathLine) {
	ip = _ip; rule = _rule; deathLine = _deathLine; sldate = time(NULL);
}


}	// namespace berzerk
#endif /* _BERZERK_STATLINE_H_ */
