/*
 * xml.h
 *
 *  Created on: Nov 16, 2016
 *      Author: dick
 */

#ifndef BERZERK_SERVER_XML_H_
#define BERZERK_SERVER_XML_H_

#include <string>
#include "reply.hpp"

using namespace std;
using namespace http::server;

typedef	const char* PCSTR;

extern	PCSTR	s_xml_preamble;
extern	PCSTR	crlf;

extern	string	toXml(PCSTR element, const string& value, int indent = 0);
extern	string	toXml(PCSTR element, const int     value, int indent = 0);
extern	string	xmlToken(const string& s, int indent = 0);
extern	string	xmlTokenE(const string& s, int indent = 0);
extern	void putXmlError(reply& rep, PCSTR error);

#endif /* BERZERK_SERVER_XML_H_ */
